-- MapZoneNamesExport
-- Gets the localized MapBlock names.
-- Which we need for "Allods Online" localization detection method, which is described here:
-- http://ui9.ru/forum/develop/topic/886/t886-HOW-TO-Multilangual-addon

local MB = cartographer.GetMapBlocks()
common.LogInfo( common.GetAddonName(), "" )
for i = 0, table.getn( MB ) do
	local strName = userMods.FromWString( cartographer.GetMapBlockInfo(MB[i]).name )
	common.LogInfo( common.GetAddonName(), "MapBlock["..i.."] Name = "..strName )
end
common.LogInfo( common.GetAddonName(), "" )

-- Please post your MODS.TXT file (Allods Online\Personal\Logs\Mods.txt)
-- in our forum (see link above), so we will update the localization detection,
-- which is used in many "Allods Online" addons on UI9.RU.
-- Then we can start adding your native language translations to all our addons.
-- Thank you for help.
-- P.S. You can delete this addon, once you sent us MODS.TXT.
